# PConfigPage Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PConfigPage:

List of all members.

## Public Member Functions

| PConfigPage (PHTTPServiceProcess &app, const PString &section, const PHTTPAuthority &auth)
| PConfigPage (PHTTPServiceProcess &app, const PString &title, const PString &section, const PHTTPAuthority &auth)
void | OnLoadedText (PHTTPRequest &, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.
PBoolean | OnPOST (PHTTPServer &server, const PURL &url, const PMIMEInfo &info, const PStringToString &data, const PHTTPConnectionInfo &connectInfo)
| Handle the POST command passed from the HTTP socket.
virtual PBoolean | Post (PHTTPRequest &request, const PStringToString &data, PHTML &replyMessage)
| Get a block of data (eg HTML) that the resource contains.

## Protected Member Functions

virtual PBoolean | GetExpirationDate (PTime &when)
| Get a block of data (eg HTML) that the resource contains.

## Protected Attributes

PHTTPServiceProcess & | process

## Constructor & Destructor Documentation

PConfigPage::PConfigPage | ( | PHTTPServiceProcess & | app,
|  | const PString & | section,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

PConfigPage::PConfigPage | ( | PHTTPServiceProcess & | app,
|  | const PString & | title,
|  | const PString & | section,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

## Member Function Documentation

virtual PBoolean PConfigPage::GetExpirationDate | ( | PTime & | when | ) | `[protected, virtual]`

Get a block of data (eg HTML) that the resource contains.

Returns:
  Status of load operation.

Parameters:

  when | Time that the resource expires

Reimplemented from PHTTPResource.

void PConfigPage::OnLoadedText | ( | PHTTPRequest & | ,
|  | PString & | text |
| ) |  |  | `[virtual]`

This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

Typically this is used with HTML responses.

The default action for this function is to do nothing.

Reimplemented from PHTTPConfig.

Reimplemented in PRegisterPage.

PBoolean PConfigPage::OnPOST | ( | PHTTPServer & | server,
|  | const PURL & | url,
|  | const PMIMEInfo & | info,
|  | const PStringToString & | data,
|  | const PHTTPConnectionInfo & | connectInfo |
| ) |  |  | `[virtual]`

Handle the POST command passed from the HTTP socket.

The default action is to check the authorisation for the resource and call the virtual `Post()` function to handle the data being received.

Returns:
  true if the connection may persist, false if the connection must close If there is no ContentLength field in the response, this value must be false for correct operation.

Reimplemented from PHTTPResource.

virtual PBoolean PConfigPage::Post | ( | PHTTPRequest & | request,
|  | const PStringToString & | data,
|  | PHTML & | replyMessage |
| ) |  |  | `[virtual]`

Get a block of data (eg HTML) that the resource contains.

The default action for this function is to do nothing and return success.

Returns:
  true if the connection may persist, false if the connection must close

Parameters:

  request | Information on this request.
  data | Variables in the POST data.
  replyMessage | Reply message for post.

Reimplemented from PHTTPConfig.

Reimplemented in PRegisterPage.

## Member Data Documentation

PHTTPServiceProcess& PConfigPage::process `[protected]`

Reimplemented in PRegisterPage.

The documentation for this class was generated from the following file:

- httpsvc.h